=== modified file 'lib/lp/archivepublisher/tests/test_publisherconfig.py'
--- lib/lp/archivepublisher/tests/test_publisherconfig.py	2011-12-24 15:18:32 +0000
+++ lib/lp/archivepublisher/tests/test_publisherconfig.py	2011-12-25 09:38:54 +0000
@@ -11,7 +11,6 @@
 from zope.interface.verify import verifyObject
 from zope.security.interfaces import Unauthorized
 
-from lp.testing import login
 from canonical.testing.layers import (
     DatabaseFunctionalLayer,
     ZopelessDatabaseLayer,
@@ -24,6 +23,7 @@
 from lp.services.database.lpstorm import IStore
 from lp.testing import (
     ANONYMOUS,
+    login,
     TestCaseWithFactory,
     )
 from lp.testing.sampledata import LAUNCHPAD_ADMIN

=== modified file 'lib/lp/bugs/browser/tests/person-bug-views.txt'
--- lib/lp/bugs/browser/tests/person-bug-views.txt	2011-12-24 17:49:30 +0000
+++ lib/lp/bugs/browser/tests/person-bug-views.txt	2011-12-26 06:01:53 +0000
@@ -1,4 +1,5 @@
-= Person Pages =
+Person Pages
+============
 
 In every person page, the 'Bugs' facet has a series of bug listings for
 that person. These pages provide simple and advanced search forms.
@@ -16,7 +17,9 @@
     ...     view.initialize()
     ...     return view
 
-== Assigned bugs ==
+
+Assigned bugs
+-------------
 
 All bug tasks assigned to this person.
 
@@ -43,7 +46,9 @@
     ...     for bugtask in closed_bugtasks]
     [(8, 'FIXRELEASED')]
 
-== Reported bugs ==
+
+Reported bugs
+-------------
 
 All bug tasks reported by someone. By default we'll get assigned and
 unassigned bug tasks.
@@ -128,7 +133,8 @@
     >>> flush_database_updates()
 
 
-== Subscribed bugs ==
+Subscribed bugs
+---------------
 
 All bug tasks someone is subscribed to. By default we'll get bug tasks
 with any importance.
@@ -164,7 +170,8 @@
     [(8, 'FIXRELEASED', u'name16')]
 
 
-== Bugs for Bug Supervisor ==
+Bugs for Bug Supervisor
+-----------------------
 
 Malone can generate bug reports for packages on which a user is a bug
 supervisor. The Person context is used only to get a list of packages that
@@ -453,7 +460,8 @@
     []
 
 
-== Bugs commented on by a Person ==
+Bugs commented on by a Person
+-----------------------------
 
 It is possible to search for all the bugs commented on by a specific Person
 using that Person's +commentedbugs page. Since No Privileges Person hasn't
@@ -481,7 +489,8 @@
     [1, 1, 1]
 
 
-== Milestone lists in Person advanced bug search pages ==
+Milestone lists in Person advanced bug search pages
+---------------------------------------------------
 
 The lists of milestones to select from on bug search pages is
 calculated by doing an unmodified search (i.e. as if the user had gone
@@ -492,7 +501,8 @@
     >>> user = factory.makePerson()
 
 
-=== Related bugs ===
+Related bugs
+............
 
     >>> related_bugs_view = create_view(
     ...     user, '+bugs', {'advanced': 1})
@@ -537,7 +547,8 @@
       'value': ...}]
 
 
-=== Reported bugs ===
+Reported bugs
+.............
 
 Similar behavior is found when searching for reported bugs.
 
@@ -568,7 +579,8 @@
       'value': ...}]
 
 
-=== Assigned bugs ===
+Assigned bugs
+.............
 
     >>> assigned_bugs_view = create_view(
     ...     user, '+assignedbugs', {'advanced': 1})
@@ -589,7 +601,8 @@
       'value': ...}]
 
 
-=== Commented bugs ===
+Commented bugs
+..............
 
     >>> commented_bugs_view = create_view(
     ...     user, '+commentedbugs', {'advanced': 1})
@@ -611,7 +624,8 @@
       'value': ...}]
 
 
-=== Subscribed bugs ===
+Subscribed bugs
+...............
 
     >>> new_user = factory.makePerson()
     >>> subscribed_bugs_view = create_view(

=== modified file 'lib/lp/bugs/doc/bug-nomination.txt'
--- lib/lp/bugs/doc/bug-nomination.txt	2011-12-24 17:49:30 +0000
+++ lib/lp/bugs/doc/bug-nomination.txt	2011-12-26 06:01:53 +0000
@@ -1,4 +1,5 @@
-= Bug Nomination =
+Bug Nomination
+==============
 
 A bug supervisor can nominate a bug to be fixed in a specific
 distribution or product series. Nominations are created by
@@ -152,7 +153,8 @@
     [u'Ubuntu Grumpy', u'Ubuntu Hoary']
 
 
-== Nomination Status ==
+Nomination Status
+-----------------
 
 A nomination is created with an initial status of "Nominated".
 Internally this state is called PROPOSED, but in the UI we display it
@@ -214,7 +216,8 @@
     >>> login("no-priv@canonical.com")
 
 
-== Approving a nomination ==
+Approving a nomination
+----------------------
 
 When a nomination is approved, the appropriate bugtask(s) are created on
 the target of the nomination and the status is set to APPROVED.
@@ -347,7 +350,8 @@
     >>> ubuntu_warty.driver = None
 
 
-== Declining a nomination ==
+Declining a nomination
+----------------------
 
 Declining a nomination simply sets its status to DECLINED. No tasks are
 created.
@@ -396,7 +400,8 @@
     None
 
 
-== Automatic targeting of new source packages ==
+Automatic targeting of new source packages
+------------------------------------------
 
 If a another distribution task is added, and nomination for that
 distribution's series already exists, the nominations will be valid
@@ -436,7 +441,8 @@
     ...
 
 
-== Changing the Source Package of a Targeted Bugtask ==
+Changing the Source Package of a Targeted Bugtask
+-------------------------------------------------
 
 The nomination model requires that a generic distribution task exists
 for each distroseries task. This causes some problem when renaming the
@@ -505,7 +511,8 @@
     thunderbird (Ubuntu)
 
 
-== Bug Nomination Set ==
+Bug Nomination Set
+------------------
 
 IBugNominationSet is used to fetch bug nominations by ID. This is useful
 mainly in traversal code.
@@ -523,7 +530,8 @@
     NotFoundError: ...
 
 
-== Error Handling ==
+Error Handling
+--------------
 
 Trying to nominate a bug for a series for which it's already nominated
 or targeted raises a NominationError.

=== modified file 'lib/lp/bugs/doc/bug-private-by-default.txt'
--- lib/lp/bugs/doc/bug-private-by-default.txt	2011-12-08 20:24:09 +0000
+++ lib/lp/bugs/doc/bug-private-by-default.txt	2011-12-22 04:48:26 +0000
@@ -1,4 +1,5 @@
-= Private by default bugs =
+Private by default bugs
+=======================
 
 A product with private bugs by default must always have a bug supervisor
 (this is enforced by a DB constraint).
@@ -50,7 +51,7 @@
     >>> security_bug_task.bug.private
     True
 
-For a security related bug, the security contact or the product owner 
+For a security related bug, the security contact or the product owner
 (if no security contact) is subscribed.
 
     >>> security_bug_task.bug.security_related
@@ -59,5 +60,6 @@
     >>> landscape.security_contact.name
     u'name16'
 
-    >>> sorted(sub.name for sub in security_bug_task.bug.getDirectSubscribers())
+    >>> sorted(
+    ...     sub.name for sub in security_bug_task.bug.getDirectSubscribers())
     [u'name16', u'no-priv']

=== modified file 'lib/lp/bugs/doc/bug-tags.txt'
--- lib/lp/bugs/doc/bug-tags.txt	2011-12-24 17:49:30 +0000
+++ lib/lp/bugs/doc/bug-tags.txt	2011-12-26 06:01:53 +0000
@@ -359,7 +359,8 @@
     >>> sorted(debian_woody.getUsedBugTagsWithOpenCounts(None).items())
     [(u'dataloss', 1L), (u'layout-test', 1L), (u'pebcak', 1L)]
 
-    >>> sorted(debian_woody_firefox.getUsedBugTagsWithOpenCounts(None).items())
+    >>> sorted(
+    ...     debian_woody_firefox.getUsedBugTagsWithOpenCounts(None).items())
     [(u'dataloss', 1L), (u'layout-test', 1L), (u'pebcak', 1L)]
 
 Only bugs that the supplied user has access to will be counted:

=== modified file 'lib/lp/bugs/doc/bugtask-find-similar.txt'
--- lib/lp/bugs/doc/bugtask-find-similar.txt	2011-12-24 17:49:30 +0000
+++ lib/lp/bugs/doc/bugtask-find-similar.txt	2011-12-26 06:01:53 +0000
@@ -1,4 +1,5 @@
-= Finding Similar Bugs =
+Finding Similar Bugs
+====================
 
 The normal bug search requires all the specified keywords to be present
 in the found bugs. This works quite well in general, but not when you
@@ -76,7 +77,8 @@
     0
 
 
-== Private bugs ==
+Private bugs
+------------
 
 Only bugs that the user has access to view will be searched. If we set
 the Firefox bug to private, and repeat the search as a user who isn't
@@ -116,7 +118,8 @@
     >>> flags.cleanUp()
 
 
-== Ordering of search results ==
+Ordering of search results
+--------------------------
 
 Since the search uses OR to match bugs against the entered phrase, many
 bugs will be returned by a search. Since we usually want to display on
@@ -147,7 +150,9 @@
     Thunderbird crashes
     >>> #another test bug
 
-== Not returning the same bug ==
+
+Not returning the same bug
+--------------------------
 
 findSimilarBugs() does not include the bug of the bugtask upon which
 it is invoked.

=== modified file 'lib/lp/bugs/doc/externalbugtracker-bug-imports.txt'
--- lib/lp/bugs/doc/externalbugtracker-bug-imports.txt	2011-12-18 13:45:20 +0000
+++ lib/lp/bugs/doc/externalbugtracker-bug-imports.txt	2011-12-22 04:48:26 +0000
@@ -1,4 +1,5 @@
-= ExternalBugTracker bug imports =
+ExternalBugTracker bug imports
+==============================
 
 Some ExternalBugTracker implementations support importing bugs from the
 remote bug tracker into Launchpad. They indicate that they support doing
@@ -88,7 +89,8 @@
 preferred e-mail address, and the one that is associated with his
 account is marked as NEW, since we don't know whether it's valid.
 
-    >>> from lp.services.identity.interfaces.emailaddress import IEmailAddressSet
+    >>> from lp.services.identity.interfaces.emailaddress import (
+    ...     IEmailAddressSet)
     >>> reporter_email_addresses = getUtility(IEmailAddressSet).getByPerson(
     ...     bug.owner)
     >>> for email_address in reporter_email_addresses:
@@ -122,7 +124,8 @@
     u'3'
 
 
-=== Non-existent source package ===
+Non-existent source package
+---------------------------
 
 If a package doesn't exist in Launchpad already, it will be filed on the
 distribution itself, with no source package specified. The package is
@@ -147,7 +150,8 @@
     None
 
 
-=== Syncing status ===
+Syncing status
+--------------
 
 After the bug watch has been created for the imported bug, the status is
 not synced immediately. The status will be updated the next time all the
@@ -160,7 +164,8 @@
     None
 
 
-=== Reporter already registered in Launchpad ===
+Reporter already registered in Launchpad
+----------------------------------------
 
 Even if the reporter of the bug has an account in Launchpad (and thus a
 valid e-mail address), he still won't be subscribed to the imported bug.

=== modified file 'lib/lp/bugs/doc/externalbugtracker-debbugs.txt'
--- lib/lp/bugs/doc/externalbugtracker-debbugs.txt	2011-12-24 17:49:30 +0000
+++ lib/lp/bugs/doc/externalbugtracker-debbugs.txt	2011-12-26 06:01:53 +0000
@@ -1,4 +1,6 @@
-= ExternalBugTracker: DebBugs =
+===========================
+ExternalBugTracker: DebBugs
+===========================
 
 Differently from Bugzilla, debbugs watch syncing is done by reading from
 a local database, so we can use a real class for testing: we just need
@@ -46,7 +48,8 @@
     True
 
 
-== Retrieving bug status from the debbugs database ==
+Retrieving bug status from the debbugs database
+===============================================
 
 The retrieval of the remote status is done through the
 getRemoteStatus() method. If we pass a bug number that doesn't exist in
@@ -78,7 +81,8 @@
     'done normal'
 
 
-== Getting the time ==
+Getting the time
+================
 
 We don't have acccess to the Debian servers exact time, but we trust it
 being correct.
@@ -87,7 +91,8 @@
     datetime.datetime(...)
 
 
-== Checking debbugs bug watches ==
+Checking debbugs bug watches
+============================
 
     >>> from lp.bugs.interfaces.bugtracker import IBugTrackerSet
     >>> debbugs = getUtility(IBugTrackerSet).getByName('debbugs')
@@ -155,8 +160,8 @@
     15 thunderbird New Unknown
 
 Sometimes the severity field is missing in the bug summary. That will
-cause importance to be set to medium, equivalent to the default normal severity
-in debbugs.
+cause importance to be set to medium, equivalent to the default normal
+severity in debbugs.
 
     >>> import email
     >>> summary = email.message_from_file(
@@ -169,7 +174,8 @@
     'open normal'
 
 
-== Debbugs status conversions ==
+Debbugs status conversions
+==========================
 
 Let's take closer look at the status conversion. Debbugs has basically
 only two statuses, 'open' and 'done', so in order to get a more fine
@@ -223,7 +229,8 @@
 The 'pending' tag means that a fix is about to be uploaded, so it maps
 to 'Fix Committed'.
 
-    >>> print external_debbugs.convertRemoteStatus('open normal pending').title
+    >>> print (
+    ...     external_debbugs.convertRemoteStatus('open normal pending').title)
     Fix Committed
 
 The 'fixed' tag means that the bug has been either fixed or work around
@@ -275,7 +282,8 @@
     UnknownRemoteStatusError: open
 
 
-== Importing bugs ==
+Importing bugs
+==============
 
 The Debbugs ExternalBugTracker can import a Debian bug into Launchpad.
 
@@ -340,7 +348,8 @@
     evolution
 
 
-== Importing Comments ==
+Importing Comments
+==================
 
 Along with importing debian bug reports, comments on those bug reports
 can also be imported. The DebBugs class implements the
@@ -349,7 +358,8 @@
     >>> from lp.bugs.externalbugtracker import (
     ...     get_external_bugtracker)
     >>> from lp.bugs.interfaces.bugtracker import BugTrackerType
-    >>> from lp.bugs.interfaces.externalbugtracker import ISupportsCommentImport
+    >>> from lp.bugs.interfaces.externalbugtracker import (
+    ...     ISupportsCommentImport)
     >>> from lp.bugs.tests.externalbugtracker import (
     ...     new_bugtracker)
     >>> external_debbugs = get_external_bugtracker(
@@ -551,13 +561,15 @@
     datetime.datetime(2008, 7, 15, 9, 20, 11, tzinfo=<UTC>)
 
 
-=== Pushing comments to DebBugs ===
+Pushing comments to DebBugs
+---------------------------
 
 The DebBugs ExternalBugTracker implements the ISupportsCommentPushing
 interface, which allows checkwatches to use it to push Launchpad
 comments back to the remote DebBugs instance.
 
-    >>> from lp.bugs.interfaces.externalbugtracker import ISupportsCommentPushing
+    >>> from lp.bugs.interfaces.externalbugtracker import (
+    ...     ISupportsCommentPushing)
     >>> ISupportsCommentPushing.providedBy(external_debbugs)
     True
 
@@ -602,7 +614,8 @@
     A little fermented curd will do the trick!
 
 
-=== Script for importing Debian bugs, linking them to Ubutu ===
+Script for importing Debian bugs, linking them to Ubuntu
+--------------------------------------------------------
 
 There's a script called `import-debian-bugs.py`, which accepts a list of
 bug numbers to be imported. It will link the bugs to the debbugs bug
@@ -665,7 +678,8 @@
     evolution (Debian): NEW
 
 
-==== Importing bugs twice ====
+Importing bugs twice
+....................
 
 If a Debian bug already exists in Launchpad (i.e it has a bug watch), it
 won't be imported again. A warning is logged so that the person runnning
@@ -682,7 +696,8 @@
     [1]
 
 
-== Getting the remote product for a bug ==
+Getting the remote product for a bug
+====================================
 
 We can get the remote product for a bug by calling getRemoteProduct() on
 a DebBugs instance. In actual fact this is a wrapper around

=== modified file 'lib/lp/bugs/doc/externalbugtracker-trac-lp-plugin.txt'
--- lib/lp/bugs/doc/externalbugtracker-trac-lp-plugin.txt	2011-12-24 17:49:30 +0000
+++ lib/lp/bugs/doc/externalbugtracker-trac-lp-plugin.txt	2011-12-26 06:01:53 +0000
@@ -1,4 +1,5 @@
-= ExternalBugTracker: TracLPPlugin =
+ExternalBugTracker: TracLPPlugin
+================================
 
 This covers the implementation of the ExternalBugTracker class for Trac
 instances having the LP XML-RPC plugin installed.
@@ -17,7 +18,8 @@
     True
 
 
-== Authentication ==
+Authentication
+--------------
 
 Before any XML-RPC methods can be used, we need to authenticate with the
 Trac instance. To authenticate we create a special login token in
@@ -147,7 +149,8 @@
     HTTP Error 401: Denied!
 
 
-== Current time ==
+Current time
+------------
 
 The current time is always returned in UTC, no matter if the Trac
 instance returns another time zone.
@@ -191,7 +194,8 @@
     datetime.datetime(2008, 4, 9, 2, 2, 1, tzinfo=<UTC>)
 
 
-== Getting modified bugs ==
+Getting modified bugs
+---------------------
 
 We only want to update the bug watches whose remote bugs have been
 modified since the last time we checked.
@@ -259,7 +263,8 @@
     ['1', '100', '3', '99']
 
 
-== Getting the status of remote bugs ==
+Getting the status of remote bugs
+---------------------------------
 
 Like all other ExternalBugTrackers, the TracLPPlugin ExternalBugTracker
 allows us to fetch bugs statuses from the remote bug tracker.
@@ -300,7 +305,8 @@
     BugNotFound: 2
 
 
-== Importing Comments ==
+Importing Comments
+------------------
 
 The TracLPPlugin class allows Launchpad to import comments from remote
 systems that have the Launchpad plugin installed.
@@ -466,7 +472,8 @@
     Sample Person
 
 
-== Pushing comments ==
+Pushing comments
+----------------
 
 The TracLPPlugin ExternalBugTracker implements the
 ISupportsCommentPushing interface, which allows Launchpad to use it to
@@ -527,7 +534,8 @@
     user: launchpad
 
 
-== Linking remote bugs to Launchpad bugs ==
+Linking remote bugs to Launchpad bugs
+-------------------------------------
 
 The TracLPPlugin class implements the ISupportsBackLinking interface,
 which allows it to tell the remote bug tracker which Launchpad bug

=== modified file 'lib/lp/bugs/doc/malone-xmlrpc.txt'
--- lib/lp/bugs/doc/malone-xmlrpc.txt	2011-12-24 17:49:30 +0000
+++ lib/lp/bugs/doc/malone-xmlrpc.txt	2011-12-26 06:01:53 +0000
@@ -1,4 +1,5 @@
-= XML-RPC Integration with Malone =
+XML-RPC Integration with Malone
+===============================
 
 Malone provides an XML-RPC interface for filing bugs.
 
@@ -9,7 +10,8 @@
     ...     transport=XMLRPCTestTransport())
 
 
-== The filebug API ==
+The filebug API
+---------------
 
 The filebug API is:
 
@@ -40,7 +42,8 @@
 Support for attachments will be added in the near future.
 
 
-== Examples ==
+Examples
+--------
 
 First, let's define a simple event listener to show that the
 IObjectCreatedEvent is being published when a bug is reported through
@@ -149,7 +152,8 @@
     evolution
 
 
-== Error Handling ==
+Error Handling
+--------------
 
 Malone's xmlrpc interface provides extensive error handling. The various
 error conditions it recognizes are:
@@ -171,7 +175,7 @@
     Traceback (most recent call last):
     ...
     Fault: <Fault 70: 'Too many arguments.
-            You may specify either a product or a distribution, but not both.'>
+        You may specify either a product or a distribution, but not both.'>
 
 Specifying a non-existent product.
 
@@ -227,7 +231,8 @@
     >>> on_created_listener.unregister()
 
 
-== Generating bugtracker authentication tokens ==
+Generating bugtracker authentication tokens
+-------------------------------------------
 
 Launchpad Bugs also provides an XML-RPC API for generating login tokens
 for authentication with external bug trackers.

=== modified file 'lib/lp/bugs/doc/product-update-remote-product.txt'
--- lib/lp/bugs/doc/product-update-remote-product.txt	2011-12-24 17:49:30 +0000
+++ lib/lp/bugs/doc/product-update-remote-product.txt	2011-12-26 06:01:53 +0000
@@ -1,4 +1,5 @@
-= Updating Product.remote_product =
+Updating Product.remote_product
+===============================
 
 The remote_product attribute of a Product is used to present links for
 filing and searching bugs in the Product's bug tracker, in case it's not
@@ -20,7 +21,8 @@
     >>> updater = RemoteProductUpdater(FakeTransaction(), BufferLogger())
 
 
-== Testing ==
+Testing
+-------
 
 To help testing, there is a method, _getExternalBugTracker(), that
 creates the ExternalBugTracker for the given BugTracker.
@@ -54,7 +56,8 @@
     ...         return self.external_bugtracker_to_return()
 
 
-== update() ==
+update()
+--------
 
 The update method simply loops over all the bug tracker types that can
 track more than one product, and calls updateByBugTrackerType(). Any bug
@@ -84,7 +87,8 @@
     set([])
 
 
-== updateByBugTrackerType() ==
+updateByBugTrackerType()
+------------------------
 
 The updateByBugTrackerType() method looks at the bug watches that are
 linked to the product, to decide what remote_product should be set to.
@@ -92,7 +96,8 @@
 be updated.
 
 
-=== No bug watches ===
+No bug watches
+..............
 
 If there are no bug watches, nothing will be done.
 
@@ -116,7 +121,8 @@
     None
 
 
-=== Linked bug watches ===
+Linked bug watches
+..................
 
 If there are bug watches for a product having a None remote_product, an
 arbitrary bug watch will be retrieved, and queried for its remote
@@ -162,7 +168,8 @@
     None
 
 
-=== remote_product already set ===
+remote_product already set
+..........................
 
 If a product already has remote_product set, it will not be updated.
 
@@ -187,7 +194,8 @@
     already-set
 
 
-=== Transaction handling ===
+Transaction handling
+....................
 
 To avoid long-running write transactions, the transaction is committed
 after each product's remote_product has been updated.
@@ -218,7 +226,8 @@
     COMMIT
 
 
-=== Error handling ===
+Error handling
+..............
 
 If the ExternalBugTracker raises any BugWatchUpdateErrors,
 updateByBugTrackerType() will simply log the error and then continue.

=== modified file 'lib/lp/bugs/doc/sourceforge-remote-products.txt'
--- lib/lp/bugs/doc/sourceforge-remote-products.txt	2011-12-19 14:54:37 +0000
+++ lib/lp/bugs/doc/sourceforge-remote-products.txt	2011-12-22 04:48:26 +0000
@@ -1,4 +1,5 @@
-= Getting remote products from SourceForge projects =
+Getting remote products from SourceForge projects
+=================================================
 
 Launchpad Products can be linked to SourceForge projects by setting
 their 'sourceforgeproject' attribute.
@@ -99,7 +100,8 @@
     0
 
 
-== update-sourceforge-remote-products.py ==
+update-sourceforge-remote-products.py
+-------------------------------------
 
 There is a cronscript, update-sourceforge-remote-products.py, which will use
 the SourceForgeRemoteProductFinder to periodically update Products'

=== modified file 'lib/lp/bugs/externalbugtracker/tests/test_mantis.py'
--- lib/lp/bugs/externalbugtracker/tests/test_mantis.py	2011-12-19 23:38:16 +0000
+++ lib/lp/bugs/externalbugtracker/tests/test_mantis.py	2011-12-22 04:48:26 +0000
@@ -23,6 +23,7 @@
     monkey_patch,
     TestCase,
     )
+from lp.testing.fakemethod import FakeMethod
 
 
 class TestMantisBugBatchParser(TestCase):
@@ -69,9 +70,11 @@
         self.assertThat(parser.getBugs(), Equals({}))
 
     def test_passing(self):
-        data = ['ignored,id,resolution,status',
-                'foo,42,not,complete',
-                'boo,13,,confirmed']
+        data = [
+            'ignored,id,resolution,status',
+            'foo,42,not,complete',
+            'boo,13,,confirmed',
+            ]
         parser = MantisBugBatchParser(data, self.logger)
         bug_42 = dict(
             id=42, status='complete', resolution='not', ignored='foo')
@@ -80,17 +83,22 @@
         self.assertThat(parser.getBugs(), Equals({42: bug_42, 13: bug_13}))
 
     def test_incomplete_line(self):
-        data = ['ignored,id,resolution,status',
-                '42,not,complete']
+        data = [
+            'ignored,id,resolution,status',
+            '42,not,complete',
+            ]
         parser = MantisBugBatchParser(data, self.logger)
         self.assertThat(parser.getBugs(), Equals({}))
         log = self.logger.getLogBuffer()
         self.assertThat(
-            log, Equals("WARNING Line ['42', 'not', 'complete'] incomplete.\n"))
+            log,
+            Equals("WARNING Line ['42', 'not', 'complete'] incomplete.\n"))
 
     def test_non_integer_id(self):
-        data = ['ignored,id,resolution,status',
-                'foo,bar,not,complete']
+        data = [
+            'ignored,id,resolution,status',
+            'foo,bar,not,complete',
+            ]
         parser = MantisBugBatchParser(data, self.logger)
         self.assertThat(parser.getBugs(), Equals({}))
         log = self.logger.getLogBuffer()
@@ -107,8 +115,9 @@
         # If the 'view_all_set.php' request raises a 404, then the csv_data
         # attribute is None.
         base_url = "http://example.com/"
-        def raise404(self, request, data):
-            raise urllib2.HTTPError('url', 404, 'Not Found', None, None)
-        with monkey_patch(Mantis, urlopen=raise404):
+
+        fail_404 = urllib2.HTTPError('url', 404, 'Not Found', None, None)
+
+        with monkey_patch(Mantis, urlopen=FakeMethod(failure=fail_404)):
             bugtracker = Mantis(base_url)
             self.assertThat(bugtracker.csv_data, Is(None))

=== modified file 'lib/lp/bugs/interfaces/bugsubscription.py'
--- lib/lp/bugs/interfaces/bugsubscription.py	2011-12-24 16:54:44 +0000
+++ lib/lp/bugs/interfaces/bugsubscription.py	2011-12-25 03:10:05 +0000
@@ -1,4 +1,4 @@
-# Copyright 2009 Canonical Ltd.  This software is licensed under the
+# Copyright 2009-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 # pylint: disable-msg=E0211,E0213
@@ -32,9 +32,9 @@
     )
 
 from lp import _
-from lp.services.webservice.apihelpers import patch_reference_property
 from lp.bugs.enum import BugNotificationLevel
 from lp.services.fields import PersonChoice
+from lp.services.webservice.apihelpers import patch_reference_property
 
 
 class IBugSubscription(Interface):
@@ -48,7 +48,8 @@
         readonly=True, description=_("The person's Launchpad ID or "
         "e-mail address.")), as_of="beta")
     bug = exported(Reference(
-        Interface, title=_("Bug"), required=True, readonly=True), as_of="beta")
+        Interface, title=_("Bug"), required=True, readonly=True),
+        as_of="beta")
     # We mark this as doNotSnapshot() because it's a magically-generated
     # Storm attribute and it causes Snapshot to break.
     bugID = doNotSnapshot(Int(title=u"The bug id.", readonly=True))
@@ -85,7 +86,6 @@
         """Can the user unsubscribe the subscriber from the bug?"""
 
 
-
 # In order to avoid circular dependencies, we only import
 # IBug (which itself imports IBugSubscription) here, and assign it as
 # the value type for the `bug` reference.

